App\Library\Amazon\Classes\AutoPart:
    xml_root_name: AutoPart
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\AutoPart\VariationDataAType
        amperage:
            expose: true
            access_type: public_method
            serialized_name: Amperage
            accessor:
                getter: getAmperage
                setter: setAmperage
            type: App\Library\Amazon\Classes\AmperageDimensionType
        modelYear:
            expose: true
            access_type: public_method
            serialized_name: ModelYear
            accessor:
                getter: getModelYear
                setter: setModelYear
            type: integer
        season:
            expose: true
            access_type: public_method
            serialized_name: Season
            accessor:
                getter: getSeason
                setter: setSeason
            type: string
        colorSpecification:
            expose: true
            access_type: public_method
            serialized_name: ColorSpecification
            accessor:
                getter: getColorSpecification
                setter: setColorSpecification
            type: App\Library\Amazon\Classes\AutoPart\ColorSpecificationAType
        diameter:
            expose: true
            access_type: public_method
            serialized_name: Diameter
            accessor:
                getter: getDiameter
                setter: setDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemPackageQuantity:
            expose: true
            access_type: public_method
            serialized_name: ItemPackageQuantity
            accessor:
                getter: getItemPackageQuantity
                setter: setItemPackageQuantity
            type: integer
        itemShape:
            expose: true
            access_type: public_method
            serialized_name: ItemShape
            accessor:
                getter: getItemShape
                setter: setItemShape
            type: string
        material:
            expose: true
            access_type: public_method
            serialized_name: Material
            accessor:
                getter: getMaterial
                setter: setMaterial
            type: string
        size:
            expose: true
            access_type: public_method
            serialized_name: Size
            accessor:
                getter: getSize
                setter: setSize
            type: string
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: integer
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: integer
        numberOfGrooves:
            expose: true
            access_type: public_method
            serialized_name: NumberOfGrooves
            accessor:
                getter: getNumberOfGrooves
                setter: setNumberOfGrooves
            type: integer
        numberOfHoles:
            expose: true
            access_type: public_method
            serialized_name: NumberOfHoles
            accessor:
                getter: getNumberOfHoles
                setter: setNumberOfHoles
            type: integer
        manufacturerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: ManufacturerWarrantyDescription
            accessor:
                getter: getManufacturerWarrantyDescription
                setter: setManufacturerWarrantyDescription
            type: string
        position:
            expose: true
            access_type: public_method
            serialized_name: Position
            accessor:
                getter: getPosition
                setter: setPosition
            type: string
        orientation:
            expose: true
            access_type: public_method
            serialized_name: Orientation
            accessor:
                getter: getOrientation
                setter: setOrientation
            type: string
        profile:
            expose: true
            access_type: public_method
            serialized_name: Profile
            accessor:
                getter: getProfile
                setter: setProfile
            type: string
        pulleyType:
            expose: true
            access_type: public_method
            serialized_name: PulleyType
            accessor:
                getter: getPulleyType
                setter: setPulleyType
            type: string
        partInterchangeData:
            expose: true
            access_type: public_method
            serialized_name: PartInterchangeData
            accessor:
                getter: getPartInterchangeData
                setter: setPartInterchangeData
            type: App\Library\Amazon\Classes\AutoPart\PartInterchangeDataAType
        viscosity:
            expose: true
            access_type: public_method
            serialized_name: Viscosity
            accessor:
                getter: getViscosity
                setter: setViscosity
            type: string
        sizeMap:
            expose: true
            access_type: public_method
            serialized_name: SizeMap
            accessor:
                getter: getSizeMap
                setter: setSizeMap
            type: string
        vehicleFitmentCode:
            expose: true
            access_type: public_method
            serialized_name: VehicleFitmentCode
            accessor:
                getter: getVehicleFitmentCode
                setter: setVehicleFitmentCode
            type: string
        vehicleFitmentNote:
            expose: true
            access_type: public_method
            serialized_name: VehicleFitmentNote
            accessor:
                getter: getVehicleFitmentNote
                setter: setVehicleFitmentNote
            type: string
        vehicleFitmentStandard:
            expose: true
            access_type: public_method
            serialized_name: VehicleFitmentStandard
            accessor:
                getter: getVehicleFitmentStandard
                setter: setVehicleFitmentStandard
            type: string
        transmissionType:
            expose: true
            access_type: public_method
            serialized_name: TransmissionType
            accessor:
                getter: getTransmissionType
                setter: setTransmissionType
            type: string
        ignitionSystemType:
            expose: true
            access_type: public_method
            serialized_name: IgnitionSystemType
            accessor:
                getter: getIgnitionSystemType
                setter: setIgnitionSystemType
            type: string
        batteryWeight:
            expose: true
            access_type: public_method
            serialized_name: BatteryWeight
            accessor:
                getter: getBatteryWeight
                setter: setBatteryWeight
            type: float
        batteryCapacity:
            expose: true
            access_type: public_method
            serialized_name: BatteryCapacity
            accessor:
                getter: getBatteryCapacity
                setter: setBatteryCapacity
            type: App\Library\Amazon\Classes\BatteryPowerDimensionType
        soleMaterial:
            expose: true
            access_type: public_method
            serialized_name: SoleMaterial
            accessor:
                getter: getSoleMaterial
                setter: setSoleMaterial
            type: string
        shoeClosureType:
            expose: true
            access_type: public_method
            serialized_name: ShoeClosureType
            accessor:
                getter: getShoeClosureType
                setter: setShoeClosureType
            type: string
        shoeWidth:
            expose: true
            access_type: public_method
            serialized_name: ShoeWidth
            accessor:
                getter: getShoeWidth
                setter: setShoeWidth
            type: string
        occasionAndLifestyle:
            expose: true
            access_type: public_method
            serialized_name: OccasionAndLifestyle
            accessor:
                getter: getOccasionAndLifestyle
                setter: setOccasionAndLifestyle
            type: string
        outerMaterial:
            expose: true
            access_type: public_method
            serialized_name: OuterMaterial
            accessor:
                getter: getOuterMaterial
                setter: setOuterMaterial
            type: string
        innerMaterial:
            expose: true
            access_type: public_method
            serialized_name: InnerMaterial
            accessor:
                getter: getInnerMaterial
                setter: setInnerMaterial
            type: string
        volumeCapacityName:
            expose: true
            access_type: public_method
            serialized_name: VolumeCapacityName
            accessor:
                getter: getVolumeCapacityName
                setter: setVolumeCapacityName
            type: string
        accessLocation:
            expose: true
            access_type: public_method
            serialized_name: AccessLocation
            accessor:
                getter: getAccessLocation
                setter: setAccessLocation
            type: string
        loadCapacity:
            expose: true
            access_type: public_method
            serialized_name: LoadCapacity
            accessor:
                getter: getLoadCapacity
                setter: setLoadCapacity
            type: App\Library\Amazon\Classes\WeightDimensionType
        uniformTireQualityGradeRating:
            expose: true
            access_type: public_method
            serialized_name: UniformTireQualityGradeRating
            accessor:
                getter: getUniformTireQualityGradeRating
                setter: setUniformTireQualityGradeRating
            type: string
        treadDepth:
            expose: true
            access_type: public_method
            serialized_name: TreadDepth
            accessor:
                getter: getTreadDepth
                setter: setTreadDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        wheelBackspacing:
            expose: true
            access_type: public_method
            serialized_name: WheelBackspacing
            accessor:
                getter: getWheelBackspacing
                setter: setWheelBackspacing
            type: App\Library\Amazon\Classes\LengthDimensionType
        compatibleWithVehicleType:
            expose: true
            access_type: public_method
            serialized_name: CompatibleWithVehicleType
            accessor:
                getter: getCompatibleWithVehicleType
                setter: setCompatibleWithVehicleType
            type: string
        autoPartPosition:
            expose: true
            access_type: public_method
            serialized_name: AutoPartPosition
            accessor:
                getter: getAutoPartPosition
                setter: setAutoPartPosition
            type: string
        dimmingControl:
            expose: true
            access_type: public_method
            serialized_name: DimmingControl
            accessor:
                getter: getDimmingControl
                setter: setDimmingControl
            type: string
        modelName:
            expose: true
            access_type: public_method
            serialized_name: ModelName
            accessor:
                getter: getModelName
                setter: setModelName
            type: string
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: string
        waterResistanceLevel:
            expose: true
            access_type: public_method
            serialized_name: WaterResistanceLevel
            accessor:
                getter: getWaterResistanceLevel
                setter: setWaterResistanceLevel
            type: string
        shaftDiameter:
            expose: true
            access_type: public_method
            serialized_name: ShaftDiameter
            accessor:
                getter: getShaftDiameter
                setter: setShaftDiameter
            type: integer
        shellType:
            expose: true
            access_type: public_method
            serialized_name: ShellType
            accessor:
                getter: getShellType
                setter: setShellType
            type: string
        maximumCircumference:
            expose: true
            access_type: public_method
            serialized_name: MaximumCircumference
            accessor:
                getter: getMaximumCircumference
                setter: setMaximumCircumference
            type: App\Library\Amazon\Classes\LengthDimensionType
        minimumCircumference:
            expose: true
            access_type: public_method
            serialized_name: MinimumCircumference
            accessor:
                getter: getMinimumCircumference
                setter: setMinimumCircumference
            type: App\Library\Amazon\Classes\LengthDimensionType
        liningDescription:
            expose: true
            access_type: public_method
            serialized_name: LiningDescription
            accessor:
                getter: getLiningDescription
                setter: setLiningDescription
            type: string
        warrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: WarrantyDescription
            accessor:
                getter: getWarrantyDescription
                setter: setWarrantyDescription
            type: string
        packageTypeName:
            expose: true
            access_type: public_method
            serialized_name: PackageTypeName
            accessor:
                getter: getPackageTypeName
                setter: setPackageTypeName
            type: string
        batteryCellComposition:
            expose: true
            access_type: public_method
            serialized_name: BatteryCellComposition
            accessor:
                getter: getBatteryCellComposition
                setter: setBatteryCellComposition
            type: string
        batteryDescription:
            expose: true
            access_type: public_method
            serialized_name: BatteryDescription
            accessor:
                getter: getBatteryDescription
                setter: setBatteryDescription
            type: string
        batteryFormFactor:
            expose: true
            access_type: public_method
            serialized_name: BatteryFormFactor
            accessor:
                getter: getBatteryFormFactor
                setter: setBatteryFormFactor
            type: string
        isExpirationDatedProduct:
            expose: true
            access_type: public_method
            serialized_name: IsExpirationDatedProduct
            accessor:
                getter: getIsExpirationDatedProduct
                setter: setIsExpirationDatedProduct
            type: boolean
        capType:
            expose: true
            access_type: public_method
            serialized_name: CapType
            accessor:
                getter: getCapType
                setter: setCapType
            type: string
        operatingLife:
            expose: true
            access_type: public_method
            serialized_name: OperatingLife
            accessor:
                getter: getOperatingLife
                setter: setOperatingLife
            type: App\Library\Amazon\Classes\TimeDimensionType
        colorTemperature:
            expose: true
            access_type: public_method
            serialized_name: ColorTemperature
            accessor:
                getter: getColorTemperature
                setter: setColorTemperature
            type: App\Library\Amazon\Classes\TemperatureRatingDimensionType
        luminousIntensity:
            expose: true
            access_type: public_method
            serialized_name: LuminousIntensity
            accessor:
                getter: getLuminousIntensity
                setter: setLuminousIntensity
            type: App\Library\Amazon\Classes\LuminiousIntensityDimensionType
        beamAngle:
            expose: true
            access_type: public_method
            serialized_name: BeamAngle
            accessor:
                getter: getBeamAngle
                setter: setBeamAngle
            type: App\Library\Amazon\Classes\DegreeDimensionType
        isStainResistant:
            expose: true
            access_type: public_method
            serialized_name: IsStainResistant
            accessor:
                getter: getIsStainResistant
                setter: setIsStainResistant
            type: boolean
        isAssemblyRequired:
            expose: true
            access_type: public_method
            serialized_name: IsAssemblyRequired
            accessor:
                getter: getIsAssemblyRequired
                setter: setIsAssemblyRequired
            type: boolean
        efficiency:
            expose: true
            access_type: public_method
            serialized_name: Efficiency
            accessor:
                getter: getEfficiency
                setter: setEfficiency
            type: string
        coating:
            expose: true
            access_type: public_method
            serialized_name: Coating
            accessor:
                getter: getCoating
                setter: setCoating
            type: string
        hardwareInterface:
            expose: true
            access_type: public_method
            serialized_name: HardwareInterface
            accessor:
                getter: getHardwareInterface
                setter: setHardwareInterface
            xml_list:
                inline: true
                entry_name: HardwareInterface
            type: array<string>
        legalComplianceCertificationRegulatoryOrganizationName:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationRegulatoryOrganizationName
            accessor:
                getter: getLegalComplianceCertificationRegulatoryOrganizationName
                setter: setLegalComplianceCertificationRegulatoryOrganizationName
            type: string
        legalComplianceCertificationCertifyingAuthorityName:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationCertifyingAuthorityName
            accessor:
                getter: getLegalComplianceCertificationCertifyingAuthorityName
                setter: setLegalComplianceCertificationCertifyingAuthorityName
            type: string
        legalComplianceCertificationGeographicJurisdiction:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationGeographicJurisdiction
            accessor:
                getter: getLegalComplianceCertificationGeographicJurisdiction
                setter: setLegalComplianceCertificationGeographicJurisdiction
            type: string
        legalComplianceCertificationStatus:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationStatus
            accessor:
                getter: getLegalComplianceCertificationStatus
                setter: setLegalComplianceCertificationStatus
            type: string
        legalComplianceCertificationMetadata:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationMetadata
            accessor:
                getter: getLegalComplianceCertificationMetadata
                setter: setLegalComplianceCertificationMetadata
            type: string
        legalComplianceCertificationExpirationDate:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationExpirationDate
            accessor:
                getter: getLegalComplianceCertificationExpirationDate
                setter: setLegalComplianceCertificationExpirationDate
            type: string
        legalComplianceCertificationDateOfIssue:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationDateOfIssue
            accessor:
                getter: getLegalComplianceCertificationDateOfIssue
                setter: setLegalComplianceCertificationDateOfIssue
            type: string
        legalComplianceCertificationValue:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationValue
            accessor:
                getter: getLegalComplianceCertificationValue
                setter: setLegalComplianceCertificationValue
            type: string
